<? $DEFINITIONS = Zend_Registry::get('defines') ?>

<script type="text/javascript">
	window.addEvent('domready', function() { 
		$('country').addEvent('change', function() {
			var city = $('city');			
			city.set('disabled', 'disabled');
			if(this.get('value') != '- country -')
			{
				new Request({
					url: '<?= $this->baseUrl() ?>/geography/ajax-get-cities?country_id=' + this.get('value'),
					method: 'get',
					onSuccess: function (resp) {
						if( resp.length > 0 )
						{
							resp = JSON.decode(resp).data;								
							city.empty();
							new Element('option', {
								html: '- All cities -&nbsp;&nbsp;',
								value: ''
							}).inject(city);
							for ( var i = 0; i < resp.length; i++ ) {
								new Element('option', {
									html: resp[i].title + '&nbsp;&nbsp;',
									value: resp[i].id
								}).inject(city);
							}
							city.set('disabled', '');
						}
					}
				}).send();
			}
		});

		if(<?= $this->params['sel_country']?> > 0)
		{
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/ajax-get-cities?country_id=' + <?= $this->params['sel_country']?>,
				method: 'get',
				onSuccess: function (resp) {
					if( resp.length > 0 )
					{
						var city = $('city');
						resp = JSON.decode(resp).data;								
						city.empty();
						new Element('option', {
							html: '- All cities -&nbsp;&nbsp;',
							value: ''
						}).inject(city);
						for ( var i = 0; i < resp.length; i++ ) {
							new Element('option', {
								html: resp[i].title + '&nbsp;&nbsp;',
								value: resp[i].id
							}).inject(city);
						}
						city.set('value', '<?= $this->params['city']?>');
						city.set('disabled', '');
					}
				}
			}).send();
		}
		
	});
</script>

<!--<h2>Search escorts</h2>-->
<h1><img src='<?= _st($this->lang() . '_h1_search.gif') ?>' alt='Search' /></h1>
        
<div class='cbox'><div class='cbox-i'><div class='cbox-ii'>
        <div class='newsearch'>
        <!-- FORM -->
		<form id='frmSearch' action='' method='get' class='addrev-form'>
            <input type='hidden' name='sf_use' value='1' />
              <!-- light blue box -->
              <!--<div class='b-box-newsearch'>-->
              <div class='b-box'>
	              <div class='b-box-i'>
	                <h2><?= $this->t('select_your_girl_agency_requirements') ?></h2>
	              </div>
              </div>
              
              <div class='signup-bodky'>
                <div class='pagebox pagebox2'>	
                	<div class='divline'>
                    	<span class='label label3'><?= $this->t('girl') ?>/<?= $this->t('nickname') ?>:</span>
                    	<input class='textinput textinput3' name='show_name' size='16' value='<?= $this->params['show_name'] ?>' type='text' maxlength='30' />
    				</div>    							
    				<!--<div class='divline3'>
                    	<span class='label label3'></span>                					
                  	</div>			
                  	--><div class='divline'>
                    	<span class='label label3'><?= $this->t('gender') ?>:</span>
                    	<?= $this->selectBox('gender', 'gender', $DEFINITIONS['gender_options'], 'selectinput selectinput4', $this->params['gender'], $this->t('all')) ?>
    				</div>
  				</div><!-- pagebox -->

  	  			<div class='pagebox pagebox3'>
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('agency') ?>:</span>
                    	<input class='textinput textinput3' name='agency' size='16' value='' type='text' maxlength='30' />
    					</div>
    					
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('country') ?>:</span>
                		<select class='selectinput selectinput4' name='sel_country' id='country'>
   							<option value='0' selected='selected'>All countries...</option>
   							<?php $countries = new Cubix_Geography_Countries(); ?>
   							<?php foreach ($countries->ajaxGetAll(false) as $country):?>
   							<option value="<?= $country->id ?>" <?php if($country->id == $this->params['sel_country']):?>selected="selected"<?php endif;?>><?= $country->title ?></option>
   							<?php endforeach;?>
   						</select>
					</div>
					
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('city') ?>:</span>
                    	<select class='selectinput selectinput4' name='city' id='city' disabled="disabled">
                    		
                    	</select>
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('specific_words') ?>:</span>

                    	<input class='textinput textinput3' name='words' size='16' value='<?= $this->params['words'] ?>' type='text' maxlength='30' />
                    	<div class='radioinput fleft radioline'>
                      		<input name='words_type' id='word' type='radio' value='word' <?php if( $this->params['words_type'] == 'word' || !$this->params['words_type'] ):?>checked="checked"<?php endif; ?> /><label for='word'><?= $this->t('word') ?></label>
                      		<input name='words_type' id='phrase' type='radio' value='phrase' <?php if( $this->params['words_type'] == 'phrase' ):?>checked="checked"<?php endif; ?>  /><label for='phrase'><?= $this->t('phrase') ?></label>
                    	</div>
    					</div>
    					
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('publish_date') ?>:</span>

                    	<div class='radioinput fleft'>
       						<input name='publish' id='alldate' type='radio' value='0' checked='checked' /><label for='alldate'><?= $this->t('_all') ?></label><br />
                      		<input name='publish' id='older' type='radio' value='older'  /><label for='older'><?= $this->t('not_older_then') ?></label>
                      		<select class='selectinput selectinput5' name='days'>
                        		<option value='1'>1 <?= $this->t('day') ?></option>
                        		<option value='2'>2 <?= $this->t('time_days') ?></option>
                        		<option value='3'>3 <?= $this->t('time_days') ?></option>
                        		<option value='7'>1 <?= $this->t('week') ?></option>
                        		<option value='30'>1 <?= $this->t('month') ?></option>
                      		</select>
                    	</div>
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('order_results') ?>:</span>

                    	<div class='radioinput fleft'>
							<input name='order' id='registered' type='radio' value='registered'  /><label for='registered'><?= $this->t('registered_date') ?></label><br />
							<input name='order' id='lastmodified' type='radio' value='lastmodified' checked='checked' /><label for='lastmodified'><?= $this->t('last_modified_date') ?></label><br />
							<input name='order' id='popularity' type='radio' value='popularity'  /><label for='popularity'><?= $this->t('popularity_views') ?></label>
                    	</div>
    					</div>
            	</div><!-- pagebox -->
            	
                <div class='clear'>&nbsp;</div>

                <div class='divline2'>
                  	<input type='image' src='<?= _st($this->lang() . '_btn_search.gif') ?>' alt='SEARCH1' name='SEARCH1' value='SEARCH1' class='buttons2' />
                </div>
			</div><!-- signup bodky -->
		</form>
			
		<form id='frmSearch' action='' method='get' class='addrev-form'>
			<input type='hidden' name='sf_use' value='2' />

              <!-- light blue box -->
              <div class='b-box'>
              	<div class='b-box-i'>
                	<h2><?= $this->t('girls_details_bios') ?></h2>
              	</div>
              </div>
              
              <div class='signup-bodky'>
                <div class='pagebox pagebox2'>
    				<div class='divline'>
                    	<span class='label label3'><?= $this->t('age') ?>:</span>
                    	<label class='label0'><?= $this->t('from') ?></label><input class='textinput textinput5' name='age_from' size='16' value='<?= $this->params['age_from'] ?>' type='text' maxlength='30' />
                    	<label class='label0'><?= $this->t('to') ?></label><input class='textinput textinput5' name='age_to' size='16' value='<?= $this->params['age_to'] ?>' type='text' maxlength='30' />
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label3'><?= $this->t('eyes') ?>:</span>
                    	<?= $this->selectBox('eye_color', 'eye_color', $DEFINITIONS['eye_color_options'], 'selectinput selectinput4', $this->params['eye_color'], $this->t('colour')) ?>
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label3'><?= $this->t('height') ?>:</span>
	                    <div class='radioinput3'><input name='heighttype' id='cm' type='radio' value='cm' checked='checked' /><label class='radioinput2' for='cm'><?= $this->t('cm') ?></label></div>
	                    <div class='radioinput3'><input name='heighttype' id='ft' type='radio' value='ft'  /><label class='radioinput2' for='ft'><?= $this->t('ft') ?></label></div>
	                    <input class='textinput textinput4' name='height' size='16' value='' type='text' maxlength='30' />
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label3'><?= $this->t('weight') ?>:</span>
	                    <div class='radioinput3'><input name='weighttype' id='kg' type='radio' value='kg' checked='checked' /><label class='radioinput2' for='kg'><?= $this->t('kg') ?></label></div>

	                    <div class='radioinput3'><input name='weighttype' id='lb' type='radio' value='lb'  /><label class='radioinput2' for='lb'><?= $this->t('lb') ?></label></div>
	                    <input class='textinput textinput4' name='weight' size='16' value='' type='text' maxlength='30' />
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label3'><?= $this->t('girls_origin') ?>:</span>
                    	<select class='selectinput selectinput4' name='nationality_iso'>
                      		<option value='0'><?= $this->t('all_origins') ?></option>
                      		<?php $nationalities = new Model_Escorts();?>
                      		<?php foreach ($nationalities->getNationalities() as $nationality):?>
                      		<option value='<?= $nationality->id ?>' ><?= $nationality->title ?></option>	
                      		<?php endforeach;?>
                      	</select>
    				</div>
    				
     				<div class='divline'>
                    	<span class='label label3'><?= $this->t('breast_size') ?>:</span>
                    	<?= $this->selectBox('breast_size', 'breast_size', $DEFINITIONS['breast_size_options'], 'selectinput selectinput4', is_numeric($this->params['breast_size']) ? $this->params['breast_size'] : null, $this->t('breast_size') . '...') ?>
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label3'><?= $this->t('dress_size') ?>:</span>
	                    <input class='textinput textinput3' name='dress_size' size='16' value='<?= $this->params['dress_size'] ?>' type='text' maxlength='30' />
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label3'><?= $this->t('ethnicity') ?>:</span>
	                    <?= $this->selectBox('ethnicity', 'ethnicity', $DEFINITIONS['ethnic_options'], 'selectinput selectinput4', $this->params['ethnicity'], $this->t('ethnicity') . '...') ?>
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label3'><?= $this->t('hair_color') ?>:</span>
	                    <?= $this->selectBox('hair_color', 'hair_color', $DEFINITIONS['hair_color_options'], 'selectinput selectinput4', $this->params['hair_color'], $this->t('hair_color') . '...') ?>
    				</div>

	                <div class='divline'>
	                    <span class='label label3'><?= $this->t('hair_length') ?>:</span>
	                    <?= $this->selectBox('hair_length', 'hair_length', $DEFINITIONS['hair_length_options'], 'selectinput selectinput4', $this->params['hair_length'], $this->t('hair_length') . '...') ?>
    				</div>
    			</div><!-- pagebox -->

                <div class='pagebox pagebox3'>
    				<div class='divline'>
	                    <span class='label label2'><?= $this->t('measurements') ?>:</span>
	                    <input class='textinput textinput6' name='bust' size='16' value='<?= $this->params['bust'] ?>' type='text' maxlength='30' /><span class='pomlcka'>-</span>

	                    <input class='textinput textinput6' name='waist' size='16' value='<?= $this->params['waist'] ?>' type='text' maxlength='30' /><span class='pomlcka'>-</span>
	                    <input class='textinput textinput6' name='hip' size='16' value='<?= $this->params['hip'] ?>' type='text' maxlength='30' />
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label2'><?= $this->t('shoe_size') ?>:</span>
	                    <input class='textinput textinput3' name='shoe' size='16' value='<?= $this->params['shoe'] ?>' type='text' maxlength='30' />
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label2'><?= $this->t('smoker') ?>:</span>
	                    <?= $this->selectBox('smoker', 'smoker', $DEFINITIONS['yes_no_options'], 'selectinput selectinput4', $this->params['smoker'], $this->t('all')) ?>
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('language') ?>:</span>
                    	<?= $this->selectBox('language', 'language', $DEFINITIONS['language_options'], 'selectinput selectinput4', NULL, $this->t('all')) ?>
    				</div>

    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('available_for') ?>:</span>
                    	<?= $this->selectBox('available_for', 'available_for', $DEFINITIONS['available_for'], 'selectinput selectinput4', $this->params['available_for'], $this->t('all')) ?>
                    </div>
    				
    				<div class='divline'>
                    	<span class='label label2'><?= $this->t('service_for') ?>:</span>
                    	<?= $this->selectBox('saf', 'saf', $DEFINITIONS['sex_availability_options'], 'selectinput selectinput4', $this->params['saf'], $this->t('all')) ?>
                    </div>
    				
    				<div class='openhours'>
    					<div class='openhours-left'>
    				    	<div class='divline'>
                        		<!--
                        		<span class='label label2'>Open hours:</span><br /><br />
                        		<input type='image' src='img/en_btn_nowopen.gif' />
                        		-->
                      		</div>
                    	</div>
						<div class='openhours-right'>
			            	<div class='divline'>						
			            		<span class='label label2'><?= $this->t('monday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_1'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_1'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>						
			            	</div>
			            	<div class='divline'>
			            		<span class='label label2'><?= $this->t('tuesday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_2'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_2'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>						
			            	</div>
			            	<div class='divline'>
			            		<span class='label label2'><?= $this->t('wednesday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_3'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			           			</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_3'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>						
			            	</div>
			            	
			            	<div class='divline'>
			            		<span class='label label2'><?= $this->t('thursday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_4'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_4'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	</div>
			            	<div class='divline'>
			            		<span class='label label2'><?= $this->t('friday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_5'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_5'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	</div>
			            	<div class='divline'>
			            		<span class='label label2'><?= $this->t('saturday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_6'>
			            		<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_6'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	</div>
			            	<div class='divline'>
			            		<span class='label label2'><?= $this->t('sunday') ?>:</span>
			            		<select class='selectinput selectinput8' name='from_7'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
			
			            	 	<span class='pomlcka'>-</span>
			            		<select class='selectinput selectinput8' name='to_7'>
			            			<?php for($i = 0; $i < 24; $i++):?>
			            				<?php if($i <= 9):?>
			            					<?php $i = '0' . $i; ?> 
			            				<?php endif;?>
			            				<option value='<?= $i . ':00' ?>' ><?= $i . ':00' ?></option>
			            			<?php endfor;?>
			            		</select>
					      	</div>
						</div>
    				</div><!-- openhours -->
    			</div><!-- pagebox -->
                
                <div class='clear'>&nbsp;</div>

                <div class='divline2'>
                  	<input type='image' src='<?= _st($this->lang() . '_btn_search.gif') ?>' alt='SEARCH2' name='SEARCH2' value='SEARCH2' class='buttons2' />
                </div>
			</div><!-- signup-bodky -->
		</form>
		
		<form id='frmSearch' action='' method='get' class='addrev-form'>
			<input type='hidden' name='sf_use' value='3' />
          	<!-- light blue box -->
            <div class='b-box'>
            	<div class='b-box-i'>
            		<h2><?= $this->t('select_your_service_requirements') ?></h2>
            	</div>
            </div>

            <div class='signup-bodky no-bg'>
             	<div class='pagebox pagebox2'>
    				<div class='divline'>
                    	<span class='label label3'><?= $this->t('kissing') ?>:</span>
                    	<?= $this->selectBox('kissing', 'kissing', $DEFINITIONS['kissing_options'], 'selectinput selectinput4', $this->params['kissing'], $this->t('all')) ?>
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label3'><?= $this->t('blowjob') ?>:</span>
                    	<?= $this->selectBox('blowjob', 'blowjob', $DEFINITIONS['blowjob_options'], 'selectinput selectinput4', $this->params['blowjob'], $this->t('all')) ?>
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label3'><?= $this->t('cumshot') ?>:</span>
	                    <?= $this->selectBox('cumshot', 'cumshot', $DEFINITIONS['cumshot_options'], 'selectinput selectinput4', $this->params['cumshot'], $this->t('all')) ?>
    				</div>
    				
    				<div class='divline'>
                    	<span class='label label3'>69:</span>
                    	<?= $this->selectBox('69', '69', $DEFINITIONS['y_n_na_options'], 'selectinput selectinput4', $this->params['69'], $this->t('all')) ?>
    				</div>
    				
    				<div class='divline'>
	                    <span class='label label3'><?=  $this->t('anal') ?>:</span>
	                    <?= $this->selectBox('anal', 'anal', $DEFINITIONS['y_n_na_options'], 'selectinput selectinput4', $this->params['anal'], $this->t('all')) ?>
    				</div>
    				
    				<!--
    				<div class='divline'>
                    	<span class='label label3'>Massage:</span>
                    	<select class='selectinput selectinput4'>
                      		<option>All...</option>
                    	</select>
    				</div>
    				-->
    			</div><!-- pagebox -->

                <!--
                <div class='pagebox pagebox3'>
    				<div class='divline'>
	                    <span class='label label2'>Looks rating:</span>
	                    <select class='selectinput selectinput6'>
                      		<option>- - -</option>
                    	</select>
	                    <span class='pomlcka'>-</span>
	                    <select class='selectinput selectinput6'>
	                      <option>- - -</option>
	                    </select>
    				</div>
    				<div class='divline'>
	                    <span class='label label2'>Services rating:</span>
	                    <select class='selectinput selectinput6'>
	                      <option>- - -</option>
	                    </select>
	                    <span class='pomlcka'>-</span>
	                    <select class='selectinput selectinput6'>
	                      <option>- - -</option>
	                    </select>
    				</div>
    				<div class='divline'>
	                    <span class='label label2'>Fuckometer rating:</span>
	                    <select class='selectinput selectinput6'>
	                      <option>- - -</option>
	                    </select>
	                    <span class='pomlcka'>-</span>
	                    <select class='selectinput selectinput6'>
	                      <option>- - -</option>
	                    </select>
	    			</div>
    			</div> --> <!-- pagebox -->
		             
		        <div class='clear'>&nbsp;</div>
		
                <div class='divline2'>
                  <input type='image' src='<?= _st($this->lang() . '_btn_search.gif') ?>' alt='SEARCH3' name='SEARCH3' value='SEARCH3' class='buttons2' />
                </div>
                
			</div>
		</form>		
		
	</div><!-- newsearch -->
</div></div></div>

<?= $this->render('escorts/list.phtml') ?>

